DeleteLog
/v1/deletelog
Retrieves delete log details.
Example for calling:
http://server/v1/deletelog?entity=activities&key1=100026 - Retrieves delete log for the activities entity with network id = 100026.
http://server/v1/deletelog?entity=activities&meta_updated_prior=2022-01-04T07:28:00.000&key1=100026 - Retrieves delete log for the activities entity which was deleted prior given date and time.
Allowed Methods:
[GET]
API Controller: DeleteLog
Description:
Retrieves the delete log details for specified entity and date span.
In some situations, a record may have been modified using an SQL UPDATE. These changes are not captured in the delete log. However, if an update was implemented using a DELETE followed by an INSERT, this operation will be logged as a deletion.
The endpoint is designed to exclude such update‑via‑delete cases from its result set. As a result, the endpoint only returns records that were actually deleted, ensuring the output is limited to genuine deletion events.
Request Fields:
| Name | Type | Description | Notes |
|---|---|---|---|
| entity | string | The name of the entity to get delete log records for | [Mandatory] Typically the target database table name |
| key1 | integer | First primary Key | [Mandatory] |
| key2 | string | Second primary Key | [Optional] |
| key3 | string | Third primary Key | [Optional] |
| key4 | string | Forth primary Key | [Optional] |
| meta_updated_prior | string | Datetime in ISO-8601 format, using UTC time zone | [Optional], Get records prior this date time |
| meta_updated_after | string | Datetime in ISO-8601 format, using UTC time zone | [Optional], Get records after this date time |
- Supports the tables listed in the Primary Key Mapping.
- The delete log consist of 1 or up to 4 primary keys.
Primary Key Mapping
The usage of the "Primary Key X" depends upon the "Table Name". Here is the usage and their meanings. If a "Primary Key" is left empty it is unused for that table name.
| Entity | Key 1 | Key 2 | Key 3 | Key 4 |
|---|---|---|---|---|
| activities | Network ID | The ID of the Activity (seq) |
Response Fields
deletelog
| Name | Type | Description | Notes |
|---|---|---|---|
| entity | string | Name of the entity related to the delete log entry. | |
| key1 | integer | Primary key for the record in the entity | |
| key2 | string | Primary key for the record in the entity | |
| key3 | string | Primary key for the record in the entity | |
| key4 | string | Primary key for the record in the entity | |
| item_guid | Guid | Guid of the deleted record in the table name | |
| lastupdatedutc | string | Datetime in ISO-8601 format, using UTC time zone | When the delete took place |
| hostname | string | Name of the host where the delete took place | |
| username | string | Name of the user who performed the delete | |
| application | string | Name of the application used to performed the delete |
Sample JSON Response
json result
[
{
"tablename": "ACTIVITIES",
"primarykey1": 100026,
"primarykey2": "100006",
"primarykey3": "",
"primarykey4": "",
"lastupdatedutc": "2026-02-05T08:40:55.207",
"item_guid": "00000000-0000-0000-0000-000000000000",
"hostname": "MyComputer",
"username": "SAFRANSA",
"application": "Safran Project"
},
{
"tablename": "ACTIVITIES",
"primarykey1": 100026,
"primarykey2": "100006",
"primarykey3": "",
"primarykey4": "",
"lastupdatedutc": "2026-02-05T11:33:24.797",
"item_guid": "00000000-0000-0000-0000-000000000000",
"hostname": "MyComputer",
"username": "SAFRANSA",
"application": "Safran Project"
}
]